Name:           annotation-indexer
Version:        1.9
Release:        %mkrel 8
Summary:        Jenkins annotation-indexer library
Group:          Development/Java

# License is specified in pom file
License:        MIT
URL:            https://github.com/jenkinsci/lib-annotation-indexer
Source0:        https://github.com/jenkinsci/lib-%{name}/archive/%{name}-%{version}.tar.gz
Source1:        https://raw.github.com/jenkinsci/jenkins/jenkins-1.510/LICENSE.txt

BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(org.kohsuke.metainf-services:metainf-services)

%description
Annotation-indexer is a small java library
used for listing annotations at compile time.

%package        javadoc
Summary:        Javadoc for %{name}

%description    javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q -n lib-%{name}-%{name}-%{version}

cp %{SOURCE1} LICENSE

# Nothing really interesting in parent
%pom_remove_parent
%pom_xpath_inject "pom:project" "<groupId>org.jenkins-ci</groupId>"

%build
# tests are disabled because of missing dependency (com.jolira:hickory)
%mvn_build -f

%install
%mvn_install


%files -f .mfiles
%doc LICENSE
%files javadoc -f .mfiles-javadoc
%doc LICENSE



%changelog
* Wed Mar 02 2016 neoclust <neoclust> 1.9-8.mga6
+ Revision: 981905
- Second rebuild of the java stack
- Second rebuild of the java stack

* Thu Feb 18 2016 umeabot <umeabot> 1.9-6.mga6
+ Revision: 965248
- Mageia 6 Mass Rebuild

* Fri Dec 26 2014 dmorgan <dmorgan> 1.9-5.mga5
+ Revision: 806185
- Rebuild against current java stack

* Wed Oct 15 2014 umeabot <umeabot> 1.9-4.mga5
+ Revision: 739372
- Second Mageia 5 Mass Rebuild

  + tv <tv>
    - rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.9-2.mga5
+ Revision: 677765
- Mageia 5 Mass Rebuild

* Fri May 09 2014 dmorgan <dmorgan> 1.9-1.mga5
+ Revision: 621306
- imported package annotation-indexer


* Tue Mar 04 2014 Michal Srb <msrb@redhat.com> - 1.9-1
- Update to upstream version 1.9

* Tue Jan 14 2014 Michal Srb <msrb@redhat.com> - 1.7-1
- Update to upstream version 1.7

* Fri Nov 08 2013 Michal Srb <msrb@redhat.com> - 1.6-1
- Update to latest upstream version 1.6

* Tue Oct 01 2013 Michal Srb <msrb@redhat.com> - 1.4-3
- Backport upstream patch. It helps to identify root problem when build fails

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue May 07 2013 Michal Srb <msrb@redhat.com> - 1.4-1
- Initial package

